# Building a proof assistant inside of Coq

## Description

This experimental project aims to build a proof assistant for propositional 
logic inside another proof assistant: Coq. The main idea is to implement natural
deduction rules from the GLoIn-Lecture directly in Coq in order to have a
suitable environment to prove stuff in Fitch-Style inside of Coq.

## Aufbau

The main code can be found inside of [`src/`](src/), mostly inside the File
[`src/ProofAssistant`](src/ProofAssistant).

## Installation

The source code of this project can be found at 
[Gitlab](https://gitlab.cs.fau.de/oc59yqul/comoproass):

```
git clone git@gitlab.cs.fau.de:oc59yqul/template-coq.git
```

Just type `make` after cloning.

## Usage

In order to use this project, you can create a new file inside `src/` (i.e. call
it `src/MyProofs.v` which should start with the following code:

```v
From PropAssistant Require Import ProofAssistant.
```

After that, just state what you want to proof. An example can be found at the
bottom of [`src/ProofAssistant.v`](src/ProofAssistant.v).

## Contributing

Contributions of any kind are welcome. Merge Requests are preferred, but you can
also use issues or patches.

You can also ask for repository access, if this makes life easier.

## Kontakt

For contact, use [my mail address](ole.elliger@fau.de).
